For the complete documentation index, see llms.txt. This page is also available as Markdown.

Network base token price in usd proxy aggregator

get

Retrieves the network base token price in USD using the proxy aggregator.

Authorizations
AuthorizationstringRequired
Query parameters
contract_addressstringRequired
  • The contract address to query.
chain_idstringRequired
  • The chain ID to query.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Responses
200

A promise that resolves to an AAVEv3UiPoolDataProviderAPIResponse containing the network base token price in USD using the proxy aggregator.

application/json

Interface representing the API response from AAVE v3 UI Pool Data Provider.

successbooleanRequired

Indicates whether the API call was successful.

messagestringRequired

A message providing additional information about the API call.

datastringOptional

The data returned by the API call, if any.

get/aave/v3/pool-data/network-base-token-price-in-usd-proxy-aggregator
GET /aave/v3/pool-data/network-base-token-price-in-usd-proxy-aggregator?contract_address=text&chain_id=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to an AAVEv3UiPoolDataProviderAPIResponse containing the network base token price in USD using the proxy aggregator.

{
  "success": true,
  "message": "text",
  "data": "text"
}